=== debian/changelog ===
deepin-image-viewer (5.9.16-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 12 Dec 2023 20:01:01 +0800

deepin-image-viewer (5.9.16) unstable; urgency=medium

  * Bump version to 5.9.16 for diff branch. 

 -- renbin <renbin@uniontech.com>  Tue, 12 Dec 2023 17:09:15 +0800

deepin-image-viewer (5.9.15) unstable; urgency=medium

  * fix: build failed with libraw after version 0.21.0(Influence: RAW)

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 21 Sep 2023 15:54:07 +0800

deepin-image-viewer (5.9.14) unstable; urgency=medium

  * Revert "fix: Split libxraw plugin and app(Bug: 199143)"
  * Revert "chore: Add install depend libxraw(Bug: 199143)"
  * chore: Compatible with libxraw package.(Influence: Debian/Control)

 -- renbin <renbin@uniontech.com>  Thu, 31 Aug 2023 15:57:23 +0800

deepin-image-viewer (5.9.13) unstable; urgency=medium

  * fix: Adapt compact mode.(Bug: 199309)(Influence: TitleBar CompactMode)
  * fix: Adapt comapct mode with click image.(Bug: 199309)(Influence: ComapctMode)

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 31 May 2023 13:32:29 +0800

deepin-image-viewer (5.9.12) unstable; urgency=medium

  * fix: 拆分 libxraw 插件和应用(Bug: 199143)(Influence: libxraw 插件)
  * chore: 添加安装依赖libxraw(Bug: 199143)(Influence: 安装依赖libxraw)

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 24 May 2023 13:15:23 +0800

deepin-image-viewer (5.9.11) unstable; urgency=medium

  * Update version to distinguish pro/community.

 -- Deepin Packages Builder <packages@linuxdeepin.com>  Fri, 10 Mar 2023 10:12:47 +0800
