## deepin-image-viewer 5.9.19

=== debian/changelog ===
deepin-image-viewer (5.9.19) unstable; urgency=medium

  * feat: add avif and heif image format file support
  * chore: Update depend libimageeditor version
  * feat: Add quick print pictures.

 -- zhanghongyuan <zhanghongyuan@union>  Wed, 26 Jun 2024 10:08:03 +0800

deepin-image-viewer (5.9.18) unstable; urgency=medium

  * feat: Change default shortcuts popup position(Task: 332273)(Influence: Shortcuts)

 -- renbin <renbin@uniontech.com>  Wed, 27 Mar 2024 16:02:10 +0800

deepin-image-viewer (5.9.17) unstable; urgency=medium

  * fix: Not layout center on OpenImage widget.(Bug: 156713)
  * feat: Merge permission/watermark into master(Task: 27785)
  * fix: Add implicitly included header files

 -- renbin <renbin@uniontech.com>  Tue, 30 Jan 2024 14:29:35 +0800
