=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -113,7 +113,6 @@
     X11
     Xext
     exif
-    freeimage
     pthread
     imageviewer
     gtest
