=== debian/changelog ===
deepin-image-viewer (5.9.20) unstable; urgency=medium

  *  remove freeimage

 -- Liu zheng <liuzheng@uniontech.com>  Fri, 15 Nov 2024 14:03:32 +0800
