=== debian/control ===
Source: deepin-image-viewer
Section: utils
Priority: extra
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends:
 debhelper (>= 11),
 cmake,
 pkg-config,
# Qt6
 qt6-base-dev,
 qt6-tools-dev,
 qt6-tools-dev-tools,
 qt6-svg-dev,
 qt6-declarative-dev,
# Dtk
 libdtk6gui-dev,
 libdtk6widget-dev,
 libdtk6declarative-dev,
# Deepin
 libdeepin-ocr-plugin-manager-dev,
# 3rd party
 libraw-dev,
 libexif-dev,
Standards-Version: 3.9.8
Homepage: http://www.deepin.org

Package: deepin-image-viewer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
    qml6-module-qt-labs-settings,
    qml6-module-qt-labs-folderlistmodel,
    qml6-module-qtquick-dialogs,
    qml6-module-qtquick-layouts,
    qml6-module-qtquick-effects,
    qml6-module-qtquick-window,
    qml6-module-qt5compat-graphicaleffects,
    libqt6sql6-sqlite,
    qt6-image-formats-plugins,
    libdeepin-ocr-plugin-manager(>= 1.0.0)
Recommends: qt6-gtk-platformtheme, deepin-ocr
Description: Image Viewer is an image viewing tool with fashion interface and smooth performance.
 Deepin Image Viewer is an image viewing tool with fashion interface and smooth performance.
