=== debian/changelog ===
deepin-image-viewer (6.0.26) unstable; urgency=medium

  * chore: update translations

 -- Liu Zhangjian <liuzhangjian@uniontech.com>  Fri, 27 Jun 2025 17:28:20 +0800

deepin-image-viewer (6.0.25) unstable; urgency=medium

  * chore: Update translations (#245)

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Mon, 23 Jun 2025 12:59:58 +0800

deepin-image-viewer (6.0.24) unstable; urgency=medium

  * chore: Update dman's resources

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Fri, 20 Jun 2025 18:38:23 +0800

deepin-image-viewer (6.0.23) unstable; urgency=medium

  * chore: update dependencies in configuration files

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 19 Jun 2025 21:53:37 +0800

deepin-image-viewer (6.0.22) unstable; urgency=medium

  * fix: fix OCR recognition crash on sw architecture when viewing images

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Thu, 19 Jun 2025 21:12:24 +0800

deepin-image-viewer (6.0.21) unstable; urgency=medium
    
    * Update version to 6.0.21

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Fri, 13 Jun 2025 16:55:08 +0800
