## deepin-image-viewer 6.0.28

=== qimage-plugins/CMakeLists.txt ===
add_subdirectory(libraw)
