=== src/CMakeLists.txt ===
--- 
+++ 
@@ -25,6 +25,7 @@
 # OCR
 find_package(PkgConfig REQUIRED)
 pkg_search_module(OCR_PLUGIN REQUIRED deepin-ocr-plugin-manager)
+pkg_check_modules(InferenceEngine REQUIRED ncnn opencv_mobile)
 include_directories(${OCR_PLUGIN_INCLUDE_DIRS})
 
 # 保证 src 目录下头文件全局可见
@@ -35,6 +36,10 @@
 file(GLOB_RECURSE QMLSRC ./*.qml)
 
 qt_add_resources(SRCS res.qrc)
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wl,--as-need -fPIE")
+set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-error=incompatible-pointer-types -fPIC")
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wl,--as-need -fPIE -Wno-error=incompatible-pointer-types")
+set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -pie")
 
 if(NOT BUILD_WITH_QT6)
     qt_add_resources(APPEND SRCS deepin-image-viewer.qrc)
@@ -143,6 +148,7 @@
     Dtk${DTK_VERSION_MAJOR}::Declarative
     GL
     pthread
+    ${InferenceEngine_LIBRARIES}
     ${OCR_PLUGIN_LIBRARIES}
 )
