## deepin-image-viewer 6.0.31

=== debian/changelog ===
deepin-image-viewer (6.0.31) unstable; urgency=medium

  * fix: Add Lao language translations to deepin-image-viewer.desktop

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Wed, 13 Aug 2025 13:32:11 +0800

deepin-image-viewer (6.0.30) unstable; urgency=medium

  * Update version to 6.0.30.

 -- Tian ShiLin <tianshilin@uniontech.com>  Thu, 07 Aug 2025 16:07:30 +0800

deepin-image-viewer (6.0.29) unstable; urgency=medium

  * fix bugs

 -- Liu Zhangjian <liuzhangjian@uniontech.com>  Tue, 22 Jul 2025 20:55:26 +0800
