=== debian/changelog ===
deepin-image-viewer (6.0.32) unstable; urgency=medium

  * chore: Update linglong base and runtime

 -- wangrong <wangrong@uniontech.com>  Wed, 17 Sep 2025 14:34:56 +0800
